> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit a false negative or false positive report



## OpenAPI

````yaml /inbound/api-reference/openapi.yaml post /report
openapi: 3.0.3
info:
  title: Inbound API
  description: |
    Manage domains for MailChannels Inbound.

    ### Rate Limits
    This API is limited to 100 queries per second, per customer.
    Queries that exceed this rate may be rejected with the
    `503 Service Temporarily Unavailable` HTTP response.
  version: 1.3.0
servers:
  - url: https://api.mailchannels.net/inbound/v1
security:
  - APIKeyHeader: []
tags:
  - name: Domains
  - name: Lists
  - name: Recipients
  - name: Login links
  - name: Reporting
  - name: Account
paths:
  /report:
    post:
      tags:
        - Reporting
      summary: Submit a false negative or false positive report
      parameters:
        - name: report_type
          in: query
          required: true
          schema:
            type: string
            enum:
              - false_negative
              - false_positive
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Report'
      responses:
        '204':
          description: The report has been successfully submitted
        '400':
          description: >
            Bad Request, returned in the case that the message content provided
            is not in accordance with the RFC 2822

            specifications of a message
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: >
            Unauthorized, returned in the case that the message submitted does
            not belong to this customer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >
            The message corresponds to a domain associated with a different
            customer, or the domain is associated

            with an api key different than the one in the request.
        '404':
          description: |
            Message not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Report:
      required:
        - messageContent
      properties:
        messageContent:
          description: >-
            The full, unaltered message content in accordance with the RFC 2822
            specifications without dot stuffing.
          type: string
        smtpEnvelopeInformation:
          $ref: '#/components/schemas/EnvelopeInformation'
        sendingHostInformation:
          $ref: '#/components/schemas/HostInformation'
    ErrorResponse:
      required:
        - errors
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: array
          items:
            type: string
    EnvelopeInformation:
      properties:
        ehlo:
          type: string
        mailFrom:
          type: string
        rcptTo:
          type: string
    HostInformation:
      properties:
        name:
          type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````